- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_drs_rule_info – Gathers info about DRS rule on the given cluster

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to gather information about DRS VM-VM and VM-HOST rules from the given cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Name of the cluster. DRS information for the given cluster will be returned. This is required parameter if `datacenter` parameter is not provided.
datacenter string |  | Name of the datacenter. DRS information for all the clusters from the given datacenter will be returned. This is required parameter if `cluster_name` parameter is not provided.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5

## Examples

    - name: Gather DRS info about given Cluster
      vmware_drs_rule_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        cluster_name: '{{ cluster_name }}'
      delegate_to: localhost
      register: cluster_drs_info

    - name: Gather DRS info about all Clusters in given datacenter
      vmware_drs_rule_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        datacenter: '{{ datacenter_name }}'
      delegate_to: localhost
      register: datacenter_drs_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
drs_rule_info dictionary | always | metadata about DRS rule from given cluster / datacenter Sample: {'DC0_C0': [{'rule_affinity': False, 'rule_enabled': True, 'rule_key': 1, 'rule_mandatory': True, 'rule_name': 'drs_rule_0001', 'rule_type': 'vm_vm_rule', 'rule_uuid': '52be5061-665a-68dc-3d25-85cd2d37e114', 'rule_vms': ['VM_65', 'VM_146']}], 'DC1_C1': [{'rule_affine_host_group_name': 'host_group_1', 'rule_affine_hosts': ['10.76.33.204'], 'rule_anti_affine_host_group_name': None, 'rule_anti_affine_hosts': [], 'rule_enabled': True, 'rule_key': 1, 'rule_mandatory': False, 'rule_name': 'vm_host_rule_0001', 'rule_type': 'vm_host_rule', 'rule_uuid': '52687108-4d3a-76f2-d29c-b708c40dbe40', 'rule_vm_group_name': 'test_vm_group_1', 'rule_vms': ['VM_8916', 'VM_4010']}]}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.